Subject: Re: INS rules

From: Xiaohong Duan <[email-masked]>
Date: Wed, 22 Jun 94 09:09:36 CDT

Hi, there. I meet same problem as you do. If you have any information,
please let me know. Thank you.

Duan

On Wed, 22 Jun 1994, Xiangdong Sheldon Shi wrote:

> I (with a green card) am going to Canada for two years. So far I heard two
> contradictory versions of INS rules. One lawyer told me I have to reside six
> months in US each year to retain my green card. Another INS officer told me
> as long as I come back each year, there will be no problem. What do you know
> about this? Do you know any INS publications I can find out?
> 
> Thank you very much.
> 
> Xiangdong